Skip to main content
GET
/
strategies
/
{strategyId}
/
quote
Get strategy quote
curl --request GET \
  --url https://api.deframe.io/strategies/{strategyId}/quote \
  --header 'x-api-key: <api-key>'
{
  "quote": {
    "strategyId": "<string>",
    "action": "lend",
    "estimatedOutput": "1000000",
    "estimatedFees": {
      "entryFee": "1000000",
      "gasFee": "1000000",
      "swapFee": "1000000"
    },
    "route": {
      "steps": [
        "<unknown>"
      ],
      "requiresBridge": true,
      "requiresSwap": true
    },
    "priceImpact": 123,
    "executionTime": 123
  },
  "timestamp": 123,
  "validUntil": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication. Obtain from your Deframe dashboard.

Path Parameters

strategyId
string
required

Strategy ID or slug

Query Parameters

action
enum<string>
required
Available options:
lend,
withdraw
amount
string
required

Amount in token's smallest unit

Example:

"1000000"

wallet
string
required

User wallet address

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

fromTokenAddress
string

Source token address for cross-chain quotes Ethereum address (EVM-compatible)

Example:

"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

Response

200 - application/json

Quote calculated successfully

quote
object
required
timestamp
number
required

Unix timestamp (ms) when the quote was generated

validUntil
number
required

Unix timestamp (ms) after which the quote expires